#!/usr/bin/php -q
<?php
if (is_null($argv[1]) || strlen($argv[1]) == 0 || is_null($argv[2]) || strlen($argv[2]) == 0) {
	echo "Failed. Missing appfs or minor value. [appfs={$argv[1]}|minor={$argv[2]}]\n";
	exit(1);
}

$APPFS = intval($argv[1]);
$MINOR = intval($argv[2]);

## check downgrade fw older than 21.03 => cleaning beroconf database
if ($APPFS < 21 || ($APPFS == 21 && $MINOR < 3)) {
	## removing irrelevant data from beroconf database
	require_once('/usr/fallback/beroConf.php');
	$bc = new beroConf('root');

	foreach(array(
		'cloudFileName', 'cloudAddress', 'permanent_remote_support_key', 'permanent_remote_support_cmd', 'permanent_remote_support_active',
		'cloud_show_status','proxyEnabled', 'proxyAddress', 'proxyPort', 'proxyType', 'proxyUser', 'proxySecret',
	) as $key) {
		$bc->delete('root', $key);
	}
}	

## completed
echo "READY";
exit(0);
?>
